URL structure
Supported methods and overview
POST- adds a new organization to the Covata Platform.GET- retrieves information about all organizations configured on the Covata Platform.
Detailed description
This API endpoint serves a number of purposes:- Adds a new organization to the Covata Platform.
- Retrieves information about all organizations configured on the Covata Platform.
Supported roles and conditions
This API endpoint supports the following Covata user roles (as described in the Safe Share Administrator’s Guide):-
Safe Share administrator - using the:
POSTmethod, when no LDAP connection has been configured on the Covata Platform. To retrieve information about all configured LDAP connections on the Covata Platform, see <access-service>/api/v1/ldapconnections.GETmethod, without any futher conditions.
Required headers
The appropriate access token as theBearer token:
Authorization: Bearer eyJhbGciOiJSUzI1NiJ9.eyJleHAiOjE0NjcwMTY2NjYsInVzZXJfbmFtZSI6ImFsZXgub...
Content-Type: application/json
Required POST-request parameters
The following required parameters must be sent in the body of the POST request, each as individual members of a JSON object:- name - The initial name for the new organization.
-
quota - The initial quota for the organization (in MiB).
Note: A MiB is a mebibyte, where one MiB = 1 x 1024 x 1024 bytes = 1048576 bytes. - adminEmail - The email address of the initial Organization administrator of this organization.
-
contactEmail - The email address of the initial Contact Person of this organization.
Notes:- This property appears under the name The email address of the organization’s contact person on the Configuration page in Organization Administration.
- When adding a new organization through Safe Share Administration, both this property and the adminEmail property (above) are set with the same value. However, this API endpoint provides the ability to set these two properties with different email addresses (in a single request to this API).
Optional POST-request parameters
The following optional parameters can be sent in the body of the POST request, each as individual members of the JSON object that includes the Required POST-request parameters above:-
description - The initial description for the new organization.
Note: This property appears under the name A brief description of the organization on the Configuration page in Organization Administration. However, as described in the Configuring Safe Share Organization Administration properties page of the Organization Administrator’s Guide, this property is currently of limited use.
Example (request):
Optional GET-request parameters
The following optional parameters can be sent in the URL of the GET request:-
limit - An integer value from
0to100, representing the maximum number of items to be returned in the response, where an individual item is information about an organization configured on the Covata Platform. If this parameter is omitted, then its value is0by default, which does not apply restrictions to the number of items returned in the response. -
offset - A value representing the count order of all retrievable items (i.e. organizations configured on the Covata Platform) returned in the response. Calls to this API endpoint may amount to potentially large numbers of items being returned from the Covata Platform. Since the order of these items in the response could differ significantly, based on the values of the orderBy and sortBy parameters below, this offset parameter provides pagination for items returned in responses, allowing items to be retrieved from any count greater than
0(i.e. the first item returned in a response). If this parameter is omitted, then its value is0by default. -
orderBy - An enumeration (enum) value representing the order in which items (i.e. organizations configured on the Covata Platform) are returned in the response. This parameter orders items according to the value of the sortBy parameter specified below. Ordering items can be in either ascending alphanumeric order (by specifying the value
ASCfor this parameter) or descending order (by specifying the valueDESC). If this parameter is omitted, then its value isASCby default. -
sortBy - A value representing the field (i.e. member) of a retrieved item by which items (i.e. organizations configured on the Covata Platform) returned in the response will be sorted. Valid field values for this parameter include:
id- the ID of the organization,name- the name of the organization,contact_email- the email address of the organization’s Contact Person,quota- the name of the organization anddescription- the description of the organization.
Returns
If the request succeeded, then an HTTP response status200 OK is returned.
For successful requests only, a JSON-formatted response containing the following members is also returned:
- items - .
- name - .
- description - .
- quota - .
- contactEmail - .
- enabled - .
-
adhocSharingDisabled - A boolean value indicating whether (
false) or not (true) Covata users in this organization are allowed to share items with people who are not already members of the organization. -
organisationRemovalRequest - A member containing the following sub-members that relate to the organization’s removal request (initiated by a Safe Share administrator). If no removal request has been made on this organization, then this member’s value is
null.- id - The ID of this organization.
- initiatorId - The ID of the Safe Share administrator’s user account that initiated this organization’s removal request.
- notificationEnabled - A boolean value indicating whether (
true) or not (false) the organization’s contact person was sent an email notification informing them that a Safe Share administrator had initiated a request to remove their organization from the Covata Platform. - daysToAction - Indicates the number of days remaining before before a Safe Share administrator should perform further action on this organization’s removal request.
Note: If the Days to action organization removal property value (accessible through the <access-service>/api/v1/config/theme/orgRemovalActionDays API endpoint) is cleared, then this sub-member’s value will always returnnull.
- id - The ID of this organization.
- modifiedAt - .
- createdAt - .
- count - .
-
offset - .
Example (response from a POST request):
Example (response from a GET request):

